> For the complete documentation index, see [llms.txt](https://docs.tzmc.dev/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tzmc.dev/docs/qb-core/begging-and-garbage-searching/config.md).

# Config

```lua
TZMCBeggarConfig = {}

--[[

    ADD BEGGING BOARD TO YOUR QB INVENTORY

    1.  Navigate to .../[qb]/qb-core/shared/items.lua
    2.  Scroll to the bottom of the item list and paste the following text:

        begging_board                      = { name = 'begging_board', label = 'Begging Cardboard', weight = 0, type = 'item', image = 'cardboard.png', unique = true, useable = true, shouldClose = false, description = 'A simple sign asking for help' },

    3.  Once added, navigate to .../[qb]/qb-inventory/html/images/ and add your image in. You can use the example below:

        https://drive.google.com/file/d/1CMirGkg0o_xD48U83TZtWgfvZFw-ugwF/view?usp=sharing

    4.  You are now done.

    NOTIFICATIONS 

    Feel free to edit the notifications file to accommodate your servers requirements.

]]

TZMCBeggarConfig.RequiredItem = "begging_board"
TZMCBeggarConfig.UsingOXInventory = false

TZMCBeggarConfig.ProgressBar = {
    enabled = true,
    binSearchTime = 5 -- How many seconds to search a bin
}

TZMCBeggarConfig.CardboardModels = {
    'prop_rub_cardpile_01',
    'prop_rub_cardpile_02',
    'prop_rub_cardpile_03',
    'prop_rub_cardpile_04',
    'prop_rub_cardpile_05',
    'prop_rub_cardpile_06',
    'prop_rub_cardpile_07'
}

TZMCBeggarConfig.Reward = {
    probability = 50,
    money = {
        type = 'cash',
        minimum = 10,
        maximum = 50
    }
}

TZMCBeggarConfig.GarbageSearching = {
    models = {
        'hei_heist_kit_bin_01',
        'prop_bin_01a',
        'prop_bin_02a',
        'prop_bin_03a',
        'prop_bin_04a',
        'prop_bin_05a',
        'prop_bin_06a',
        'prop_bin_07a',
        'prop_bin_07b',
        'prop_bin_07c',
        'prop_bin_07d',
        'prop_bin_08a',
        'prop_bin_08open',
        'prop_bin_09a',
        'prop_bin_10a',
        'prop_bin_10b',
        'prop_bin_11a',
        'prop_bin_11b',
        'prop_bin_12a',
        'prop_bin_13a',
        'prop_bin_14a',
        'prop_bin_14b',
        'prop_bin_beach_01a',
        'prop_bin_delpiero',
        'prop_bin_delpiero_b',
        'prop_cs_bin_01',
        'prop_cs_bin_01_skinned',
        'prop_cs_bin_02',
        'prop_cs_bin_03',
        'prop_gas_smallbin01',
        'prop_recyclebin_03_a',
        'zprop_bin_01a_old'
    },
    reward = {
        tosti = 10,
        twerks_candy = 10,
        snikkel_candy = 10,
        sandwich = 10,
        water_bottle = 10,
        coffee = 7,
        kurkakola = 7,
        beer = 7,
        whiskey = 7,
        vodka = 7,
        joint = 3,
        oxy = 1
    },
    cooldownTime = 600,
}

TZMCBeggarConfig.Target = {
    collectCardboard = {
        icon = "fa-solid fa-recycle",
        text = "Collect"
    },
    searchBin = {
        icon = "fa-solid fa-dumpster",
        text = "Search"
    }
}

TZMCBeggarConfig.Notifications = {
    pressToStopBegging = 'Press ~INPUT_CONTEXT~ to stop begging',
    totalEarned = 'You earned $%s',
    binAlreadyChecked = 'Looks like someone has rummaged through this bin recently.',
    emptyBin = 'You found nothing of value.',
    searchingBin = 'Searching Bin',
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tzmc.dev/docs/qb-core/begging-and-garbage-searching/config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
